--- memtest.sh.orig	2004-09-16 11:29:13.000000000 -0700
+++ memtest.sh	2004-09-16 11:30:50.000000000 -0700
@@ -74,21 +74,21 @@
 cd $TEST_DIR
 
 # Remove any possible left over directories from a cancelled previous run
-rm -fr linux linux.orig linux.pass.*
+rm -fr linux-2.6.15 linux.orig linux.pass.*
 
 # Unpack the one copy of the source tree that we will be comparing against
 tar -xzf $SOURCE_FILE
-mv linux linux.orig
+mv linux-2.6.15 linux.orig
 
 i=0
 while [ "$i" -lt "$NR_PASSES" ]; do
 j=0
 while [ "$j" -lt "$NR_SIMULTANEOUS" ]; do
 if [ $PARALLEL = "yes" ]; then
-(mkdir $j; tar -xzf $SOURCE_FILE -C $j; mv $j/linux linux.pass.$j; rmdir $j) &
+(mkdir $j; tar -xzf $SOURCE_FILE -C $j; mv $j/linux-2.6.15 linux.pass.$j; rmdir $j) &
 else
 tar -xzf $SOURCE_FILE
-mv linux linux.pass.$j
+mv linux-2.6.15 linux.pass.$j
 fi
 j=`expr $j + 1`
 done
@@ -108,7 +108,7 @@
 done
 
 # Clean up after ourselves
-rm -fr linux linux.orig linux.pass.*
+rm -fr linux-2.6.15 linux.orig linux.pass.*
 
 
 
